[Overview][Classes][Index] | Reference for unit 'CustomTimer' (#lcl)

# TCustomTimer.KillTimer

Stops execution of the timer class instance.

## Declaration

Source position: customtimer.pas line 46

`protected procedure TCustomTimer.KillTimer; virtual;`

## Description

KillTimer is a protected virtual procedure used to stop execution of the timer class instance. KillTimer ensures that a value widget set handle has been assigned for the timer class instance prior to freeing the handle and signalling the OnStopTimer event handler (when assigned). No actions are performed in the method if the widget set handle is not assigned or invalid.

KillTimer is called from the UpdateTimer method, and when the class instance is freed in the Destroy method.

## See also

TCustomTimer.OnStopTimer |  | OnStopTimer - event handler for stopping the timer.
TCustomTimer.UpdateTimer |  | Updates the Timer to reflect the current properties.
TCustomTimer.Destroy |  | Destructor for the timer class instance.